Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Public Enum eBallanceRowType
    eCalcRows = 0
    eSumRow = 1
End Enum
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class BallanceRows
    Inherits BaseObject
    Private _BallanceHeader As BallanceHeader
    Private _RowIndex As Long
    Private _BallanceRowType As eBallanceRowType
    Private _ShortName As String
    Private _CalcField As String
    Private _AmountHUF As Double
    Private _AmountDEV As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("BallanceHeader-BallanceRows", GetType(BallanceHeader))> _
    Property BallanceHeader As BallanceHeader
        Get
            Return _BallanceHeader
        End Get
        Set(value As BallanceHeader)
            SetPropertyValue("BallanceHeader", _BallanceHeader, value)
        End Set
    End Property
    Property RowIndex As Long
        Get
            Return _RowIndex
        End Get
        Set(value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
    Property BallanceRowType As eBallanceRowType
        Get
            Return _BallanceRowType
        End Get
        Set(value As eBallanceRowType)
            SetPropertyValue("BallanceRowType", _BallanceRowType, value)
        End Set
    End Property
    <Size(255)> _
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <Size(900)> _
    Property CalcField As String
        Get
            Return _CalcField
        End Get
        Set(value As String)
            SetPropertyValue("CalcField", _CalcField, value)
        End Set
    End Property
    Property AmountHUF As Double
        Get
            Return _AmountHUF
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUF", _AmountHUF, value)
        End Set
    End Property
    Property AmountDEV As Double
        Get
            Return _AmountDEV
        End Get
        Set(value As Double)
            SetPropertyValue("AmountDEV", _AmountDEV, value)
        End Set
    End Property
End Class
